org.apache.cassandra.io.sstable

## Class SSTableDeletingTask

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableDeletingTask

All Implemented Interfaces:
  java.lang.Runnable

    public class SSTableDeletingTask
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor and Description
`SSTableDeletingTask(SSTableReader referent)`

### Method Summary

Methods
`static void` `rescheduleFailedTasks()` Retry all deletions that failed the first time around (presumably b/c the sstable was still mmap'd.) Useful because there are times when we know GC has been invoked; also exposed as an mbean.
`void` `run()`
`void` `schedule()`
`void` `setTracker(DataTracker tracker)`
`static void` `waitForDeletions()` for tests

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSTableDeletingTask

    public SSTableDeletingTask(SSTableReader referent)

### Method Detail

#### setTracker

    public void setTracker(DataTracker tracker)

#### schedule

    public void schedule()

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### rescheduleFailedTasks

    public static void rescheduleFailedTasks()

Retry all deletions that failed the first time around (presumably b/c the sstable was still mmap'd.) Useful because there are times when we know GC has been invoked; also exposed as an mbean.

#### waitForDeletions

    public static void waitForDeletions()

for tests